import mods.modularmachinery.RecipePrimer;
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.data.IData;
import scripts.Util.helper.addRecipeToTierMachine as addRecipeToTierMachine;


var machine = "assembler";
var tier = 2;
var maxTier = 3;
var processingTime = 600;
var energy = 1024;


addRecipeToTierMachine("advanced_card", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t4> * 1,
        <ore:plateElectrum> * 2,
        <ore:plateInvar> * 2,
        <appliedenergistics2:material:25> * 1,
        <appliedenergistics2:material:24> * 2,
        <appliedenergistics2:material:22> * 2
    ],
    <appliedenergistics2:material:28> * 1);

addRecipeToTierMachine("small_storage_cell", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t4> * 1,
        <appliedenergistics2:material:35> * 3,
        <appliedenergistics2:material:22> * 2,
        <appliedenergistics2:material:23> * 2,
        <appliedenergistics2:material:24> * 2,
        <appliedenergistics2:quartz_vibrant_glass> * 4
    ],
    <appliedenergistics2:material:36> * 1);

addRecipeToTierMachine("storage_cell", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t5> * 1,
        <appliedenergistics2:material:36> * 3,
        <threng:material:4> * 1,
        <appliedenergistics2:quartz_vibrant_glass> * 4
    ],
    <appliedenergistics2:material:37> * 1);

addRecipeToTierMachine("small_fluid_storage_cell", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t4> * 1,
        <appliedenergistics2:material:54> * 3,
        <appliedenergistics2:material:22> * 2,
        <appliedenergistics2:material:23> * 2,
        <appliedenergistics2:material:24> * 2,
        <appliedenergistics2:quartz_vibrant_glass> * 4
    ],
    <appliedenergistics2:material:55> * 1);


addRecipeToTierMachine("fluid_storage_cell", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t5> * 1,
        <appliedenergistics2:material:55> * 3,
        <threng:material:4> * 1,
        <appliedenergistics2:quartz_vibrant_glass> * 4
    ],
    <appliedenergistics2:material:56> * 1);


addRecipeToTierMachine("covered_cable", machine, tier, maxTier, processingTime, energy,
    [
        <appliedenergistics2:part:16> * 1,
        <industrialforegoing:plastic> * 1,
        <ic2:crafting> * 4
    ],
    <appliedenergistics2:part:36> * 1);


addRecipeToTierMachine("dense_cable", machine, tier, maxTier, processingTime, energy,
    [
        <appliedenergistics2:part:36> * 4,
        <industrialforegoing:plastic> * 2,
        <ic2:crafting> * 2
    ],
    <appliedenergistics2:part:516> * 1);

addRecipeToTierMachine("smart_dense_cable", machine, tier, maxTier, processingTime, energy,
    [
        <appliedenergistics2:part:516> * 1,
        <ore:dustFluix> * 1,
        <ore:dustLapis> * 1,
        <ore:dustRedstone> * 1,
        <ore:dustGlowstone> * 1
    ],
    <appliedenergistics2:part:76> * 1);

addRecipeToTierMachine("smart_covered_cable", machine, tier, maxTier, processingTime, energy,
    [
        <appliedenergistics2:part:36> * 1,
        <ore:dustFluix> * 1,
        <ore:dustLapis> * 1,
        <ore:dustRedstone> * 1,
        <ore:dustGlowstone> * 1
    ],
    <appliedenergistics2:part:56> * 1);

addRecipeToTierMachine("Fluix_aggregator", machine, 1, maxTier, processingTime, energy,
    [
        <appliedenergistics2:condenser> * 1,
        <ic2:resource:13> * 1,
        <immersiveengineering:wooden_device0:3> * 1,
        <threng:material:4> * 1,
        <minecraft:hopper> * 1,
        <contenttweaker:circuit_t4> * 2
    ],
    <threng:machine> * 1);

addRecipeToTierMachine("Pulse_centrifuge", machine, tier, maxTier, processingTime, energy,
    [
        <appliedenergistics2:molecular_assembler> * 1,
        <ic2:resource:13> * 1,
        <ic2:crafting:6> * 1,
        <threng:material:4> * 1,
        <threng:material:6> * 1,
        <contenttweaker:circuit_t4> * 2
    ],
    <threng:machine:1> * 1);


addRecipeToTierMachine("Circuit_Etcher", machine, 1, maxTier, processingTime, energy,
    [
        <threng:material:4> * 1,
        <ic2:resource:13> * 1,
        <appliedenergistics2:material:13> * 1,
        <appliedenergistics2:material:19> * 1,
        <appliedenergistics2:material:14> * 1,
        <appliedenergistics2:material:15> * 1
    ],
    <threng:machine:2> * 1);


addRecipeToTierMachine("Preemptive_Assembly_Unit", machine, tier, maxTier, processingTime, energy,
    [
        <appliedenergistics2:interface> * 1,
        <ic2:resource:13> * 1,
        <appliedenergistics2:crafting_accelerator> * 2,
        <threng:material:4> * 1,
        <threng:material:14> * 1,
        <contenttweaker:circuit_t4> * 2
    ],
    <threng:machine:3> * 1);


addRecipeToTierMachine("Level_Maintainer", machine, tier, maxTier, processingTime, energy,
    [
        <appliedenergistics2:material:53> * 2,
        <ic2:resource:13> * 1,
        <appliedenergistics2:material:22> * 8,
        <threng:material:4> * 1,
        <appliedenergistics2:part:280> * 4,
        <contenttweaker:circuit_t4> * 2
    ],
    <threng:machine:4> * 1);


addRecipeToTierMachine("Crystal_Energizer", machine, tier, maxTier, processingTime, energy,
    [
        <appliedenergistics2:material:30> * 2,
        <ic2:resource:13> * 1,
        <appliedenergistics2:charger> * 1,
        <threng:material:4> * 1,
        <ic2:upgrade:1> * 1,
        <appliedenergistics2:part:56> * 2
    ],
    <threng:machine:5> * 1);

addRecipeToTierMachine("Dense_Energy_Cell", machine, tier, maxTier, processingTime, energy,
    [
        <appliedenergistics2:energy_cell> * 8,
        <contenttweaker:circuit_t4> * 2,
        <threng:material:6> * 1
    ],
    <appliedenergistics2:dense_energy_cell> * 1);


addRecipeToTierMachine("Controller_t2", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t4> * 8,
        <ic2:resource:13> * 1,
        <appliedenergistics2:smooth_sky_stone_block> * 8,
        <threng:material:4> * 4
    ],
    <appliedenergistics2:controller> * 1);


addRecipeToTierMachine("Drive", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t4> * 2,
        <ic2:resource:13> * 1,
        <appliedenergistics2:material:24> * 4,
        <threng:material:4> * 1,
        <appliedenergistics2:material:27> * 2
    ],
    <appliedenergistics2:drive> * 1);


addRecipeToTierMachine("Inscriber_silicone_press", machine, tier, maxTier, processingTime, energy,
    [
        <ore:dustSignalum> * 2,
        <ore:dustHOPGraphite> * 2,
        <appliedenergistics2:part:16> * 4,
        <threng:material:9> * 2,
        <ore:blockIron> * 1
    ],
    <appliedenergistics2:material:19> * 1);


addRecipeToTierMachine("Inscriber_Calculation_press", machine, tier, maxTier, processingTime, energy,
    [
        <ore:dustSignalum> * 2,
        <ore:dustHOPGraphite> * 2,
        <appliedenergistics2:part:16> * 4,
        <appliedenergistics2:quartz_block> * 2,
        <ore:blockIron> * 1
    ],
    <appliedenergistics2:material:13> * 1);


addRecipeToTierMachine("Inscriber_engineering_press", machine, tier, maxTier, processingTime, energy,
    [
        <ore:dustSignalum> * 2,
        <ore:dustHOPGraphite> * 2,
        <appliedenergistics2:part:16> * 4,
        <ore:blockDiamond> * 1,
        <ore:blockIron> * 1
    ],
    <appliedenergistics2:material:14> * 1);


addRecipeToTierMachine("Inscriber_logic_press", machine, tier, maxTier, processingTime, energy,
    [
        <ore:dustSignalum> * 2,
        <ore:dustHOPGraphite> * 2,
        <appliedenergistics2:part:16> * 4,
        <ore:blockGold> * 1,
        <ore:blockIron> * 1
    ],
    <appliedenergistics2:material:15> * 1);


addRecipeToTierMachine("Basic_Card", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <ic2:dust:6> * 2,
        <ore:plateSteel> * 2,
        <ore:plateGold> * 2,
        <appliedenergistics2:material:23> * 1
    ],
    <appliedenergistics2:material:25> * 1);


addRecipeToTierMachine("tiny_storage_cell", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <ic2:dust:6> * 4,
        <ore:gemCertusQuartz> * 8,
        <ore:dustRedstone> * 8,
        <appliedenergistics2:material:22> * 3
    ],
    <appliedenergistics2:material:35> * 1);


addRecipeToTierMachine("tiny_fluid_storage_cell", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t3> * 1,
        <ic2:dust:6> * 4,
        <ore:gemCertusQuartz> * 8,
        <ore:dustLapis> * 8,
        <appliedenergistics2:material:22> * 3
    ],
    <appliedenergistics2:material:54> * 1);

addRecipeToTierMachine("thermal_kit_electrum", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:thermal_kit_blank> * 1,
        <contenttweaker:circuit_t4> * 2,
        <thermalexpansion:frame:130> * 1,
        <ore:blockElectrum> * 2,
        <ore:gearElectrum> * 4
    ],
    <thermalfoundation:upgrade:1> * 1);

addRecipeToTierMachine("thermal_kit_signalum", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:thermal_kit_blank> * 1,
        <contenttweaker:circuit_t5> * 2,
        <thermalexpansion:frame:131> * 1,
        <ore:blockSignalum> * 2,
        <ore:gearSignalum> * 4,
        <ic2:upgrade> * 1
    ],
    <thermalfoundation:upgrade:2> * 1);

addRecipeToTierMachine("ic2_upgrade_blank", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:thermal_kit_blank> * 1,
        <contenttweaker:circuit_t4> * 2,
        <ic2:crafting:3> * 2,
        <ic2:crafting:15> * 2,
        <ore:plateBronze> * 2
    ],
    <contenttweaker:ic2_upgrade_blank> * 1);

addRecipeToTierMachine("ic2_upgrade_overclocker_x1", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:ic2_upgrade_blank> * 1,
        <contenttweaker:circuit_t4> * 2,
        <ic2:dust:9> * 8,
        <ic2:heat_storage> * 2,
        <ic2:plate:16> * 1
    ],
    <ic2:upgrade> * 1);

addRecipeToTierMachine("ic2_upgrade_overclocker_x3", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:ic2_upgrade_blank> * 1,
        <contenttweaker:circuit_t4> * 3,
        <ic2:dust:9> * 24,
        <ic2:tri_heat_storage> * 2,
        <ic2:plate:16> * 2
    ],
    <ic2:upgrade> * 3);

addRecipeToTierMachine("ic2_upgrade_ejector", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:ic2_upgrade_blank> * 1,
        <contenttweaker:circuit_t4> * 1,
        <minecraft:piston> * 2,
        <ore:plateBronze> * 4
    ],
    <ic2:upgrade:4> * 1);

addRecipeToTierMachine("ic2_upgrade_pulling", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:ic2_upgrade_blank> * 1,
        <contenttweaker:circuit_t4> * 1,
        <minecraft:sticky_piston> * 2,
        <ore:plateBronze> * 4
    ],
    <ic2:upgrade:6> * 1);

addRecipeToTierMachine("ic2_upgrade_fluid_ejector", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:ic2_upgrade_blank> * 1,
        <contenttweaker:circuit_t4> * 1,
        <ic2:crafting:6> * 2,
        <ore:plateBronze> * 4,
        <ore:plateCopper> * 2
    ],
    <ic2:upgrade:8> * 1);

addRecipeToTierMachine("ic2_upgrade_fluid_pulling", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:ic2_upgrade_blank> * 1,
        <contenttweaker:circuit_t4> * 1,
        <ic2:crafting:6> * 2,
        <ore:plateBronze> * 4,
        <ore:plateTin> * 2
    ],
    <ic2:upgrade:9> * 1);

addRecipeToTierMachine("ic2_upgrade_transformer", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:ic2_upgrade_blank> * 1,
        <contenttweaker:circuit_t5> * 1,
        <ic2:te:77> * 1,
        <ic2:plate:16> * 1
    ],
    <ic2:upgrade:1> * 1);

addRecipeToTierMachine("ic2_upgrade_energy_storage", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:ic2_upgrade_blank> * 1,
        <contenttweaker:circuit_t4> * 1,
        <ic2:re_battery:26> * 1,
        <ore:plateSteel> * 1
    ],
    <ic2:upgrade:2> * 1);

addRecipeToTierMachine("ic2_upgrade_redstone", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:ic2_upgrade_blank> * 1,
        <minecraft:redstone> * 1,
        <ore:plateSteel> * 1
    ],
    <ic2:upgrade:3> * 1);







