import mods.modularmachinery.RecipePrimer;
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.data.IData;
import scripts.Util.helper.addRecipeToTierMachine as addRecipeToTierMachine;
import scripts.Util.helper.addBlueprintRecipeToTierMachine as addBlueprintRecipeToTierMachine;


var machine = "assembler";
var tier = 3;
var maxTier = 3;
var processingTime = 600;
var energy = 4096;


addRecipeToTierMachine("mass_assembler_frame", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t6> * 1,
        <appliedenergistics2:smooth_sky_stone_block> * 4,
        <ore:ingotFluixSteel> * 4,
        <extendedcrafting:table_basic> * 1,
        <threng:material:4> * 1,
        <appliedenergistics2:material:54> * 1
    ],
    <threng:big_assembler> * 4);


addRecipeToTierMachine("mass_assembler_IO_Port", machine, tier, maxTier, processingTime, energy,
    [
        <threng:big_assembler> * 4,
        <contenttweaker:circuit_t6> * 1,
        <appliedenergistics2:sky_stone_chest> * 1,
        <immersiveengineering:wooden_device0:3> * 1,
        <appliedenergistics2:part:36> * 2,
        <appliedenergistics2:io_port> * 1
    ],
    <threng:big_assembler:5> * 1);


addRecipeToTierMachine("mass_assembler_controller", machine, tier, maxTier, processingTime, energy,
    [
        <threng:big_assembler> * 4,
        <contenttweaker:circuit_t6> * 1,
        <appliedenergistics2:part:36> * 2,
        <threng:material:14> * 1,
        <appliedenergistics2:interface> * 1,
        <appliedenergistics2:molecular_assembler> * 1
    ],
    <threng:big_assembler:2> * 1);


addRecipeToTierMachine("mass_assembler_crafting_coprocessor", machine, tier, maxTier, processingTime, energy,
    [
        <threng:big_assembler> * 4,
        <contenttweaker:circuit_t6> * 1,
        <threng:material:14> * 1,
        <appliedenergistics2:crafting_accelerator> * 1,
        <appliedenergistics2:part:36> * 2,
        <appliedenergistics2:molecular_assembler> * 1
    ],
    <threng:big_assembler:4> * 1);


addRecipeToTierMachine("mass_assembler_pattern_provider", machine, tier, maxTier, processingTime, energy,
    [
        <threng:big_assembler> * 4,
        <contenttweaker:circuit_t6> * 1,
        <appliedenergistics2:material:36> * 1,
        <threng:material:14> * 1,
        <appliedenergistics2:interface> * 1,
        <appliedenergistics2:part:36> * 2
    ],
    <threng:big_assembler:3> * 1);


addRecipeToTierMachine("mass_assembler_controller", machine, tier, maxTier, processingTime, energy,
    [
        <threng:big_assembler> * 4,
        <contenttweaker:circuit_t6> * 1,
        <appliedenergistics2:part:36> * 2,
        <threng:material:14> * 1,
        <appliedenergistics2:interface> * 1,
        <appliedenergistics2:molecular_assembler> * 1
    ],
    <threng:big_assembler:2> * 1);


addRecipeToTierMachine("mass_assembler_vent", machine, tier, maxTier, processingTime, energy,
    [
        <threng:big_assembler> * 4,
        <ic2:heat_vent> * 1,
        <minecraft:iron_bars> * 4
    ],
    <threng:big_assembler:1> * 1);


addRecipeToTierMachine("huge_storage_cell", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t6> * 1,
        <threng:material:14> * 1,
        <appliedenergistics2:material:37> * 3,
        <appliedenergistics2:quartz_vibrant_glass> * 4
    ],
    <appliedenergistics2:material:38> * 1);


addRecipeToTierMachine("huge_fluid_storage_cell", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t6> * 1,
        <threng:material:14> * 1,
        <appliedenergistics2:material:56> * 3,
        <appliedenergistics2:quartz_vibrant_glass> * 4
    ],
    <appliedenergistics2:material:57> * 1);


addRecipeToTierMachine("IO_port", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t6> * 1,
        <appliedenergistics2:drive> * 2,
        <threng:material:4> * 1,
        <appliedenergistics2:quartz_vibrant_glass> * 4,
        <appliedenergistics2:part:36> * 2,
        <ore:plateDenseSteel> * 1
    ],
    <appliedenergistics2:io_port> * 1);



addRecipeToTierMachine("grower", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t6> * 1,
        <appliedenergistics2:quartz_growth_accelerator> * 6,
        <minecraft:hopper> * 2,
        <appliedenergistics2:part:36> * 2,
        <threng:material:4> * 2,
        <ironchest:iron_chest:2> * 1
    ],
    <ae2stuff:grower> * 1);


addRecipeToTierMachine("wireless", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t6> * 1,
        <appliedenergistics2:material:41> * 1,
        <ore:plateIron> * 4,
        <ore:crystalFluix> * 4,
        <threng:material:4> * 2
    ],
    <ae2stuff:wireless> * 1);


addRecipeToTierMachine("wireless_reciever", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t6> * 1,
        <ore:pearlFluix> * 1,
        <ore:plateIron> * 6,
        <appliedenergistics2:part:36> * 2,
        <threng:material:4> * 2
    ],
    <appliedenergistics2:material:41> * 1);


addRecipeToTierMachine("wireless_terminal", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:circuit_t6> * 1,
        <appliedenergistics2:dense_energy_cell> * 1,
        <appliedenergistics2:part:380> * 1,
        <appliedenergistics2:material:41> * 1,
        <threng:material:4> * 1
    ],
    <appliedenergistics2:wireless_terminal> * 1);


addBlueprintRecipeToTierMachine("base_casing", machine, tier, maxTier, 100, energy,
<contenttweaker:blueprint_alternative_base_casing>,
    [
        <thermalexpansion:frame> * 1,
        <ic2:plate:7> * 4,
        <contenttweaker:circuit_t4> * 1,
        <ic2:crafting:5> * 4,
    ],
    <ic2:resource:12> * 1);


addBlueprintRecipeToTierMachine("advanced_casing", machine, tier, maxTier, 100, energy,
<contenttweaker:blueprint_alternative_advanced_casing>,
    [
        <ic2:resource:12> * 1,
        <ic2:plate:16> * 1,
        <ic2:crafting:15> * 4,
        <ic2:cable:2>.withTag({type: 2 as byte, insulation: 2 as byte}) * 4,
        <contenttweaker:circuit_t5> * 1
    ],
    <ic2:resource:13> * 1);


addBlueprintRecipeToTierMachine("steel_casing", machine, tier, maxTier, 100, energy,
<contenttweaker:blueprint_alternative_steel_casing>,
    [
        <ic2:resource:13> * 1,
        <jaopca:item_platedenseosmium> * 1,
        <ic2:plate:16> * 1,
        <ic2:plate:15> * 1,
        <ic2:cable:1>.withTag({type: 1 as byte, insulation: 0 as byte}) * 4,
        <contenttweaker:circuit_t5> * 4
    ],
    <mekanism:basicblock:8> * 1);


addBlueprintRecipeToTierMachine("iridium_plate", machine, tier, maxTier, 100, energy,
<contenttweaker:blueprint_alternative_iridium_plate>,
    [
        <jaopca:item_stickiridium> * 2,
        <jaopca:item_plateosmium> * 4,
        <jaopca:item_platediamond> * 1,
        <advanced_solar_panels:crafting:8> * 1
    ],
    <ic2:crafting:4> * 1);

addRecipeToTierMachine("thermal_kit_enderium", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:thermal_kit_blank> * 1,
        <contenttweaker:circuit_t6> * 2,
        <thermalexpansion:frame:132> * 1,
        <ore:blockEnderium> * 2,
        <ore:gearEnderium> * 4,
        <ic2:upgrade> * 2
    ],
    <thermalfoundation:upgrade:3> * 1);

addRecipeToTierMachine("ic2_upgrade_overclocker_x6", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:ic2_upgrade_blank> * 1,
        <contenttweaker:circuit_t4> * 4,
        <ic2:dust:9> * 48,
        <ic2:hex_heat_storage> * 2,
        <ic2:plate:16> * 3
    ],
    <ic2:upgrade> * 6);


addRecipeToTierMachine("mekanism_upgrade_blank", machine, tier, maxTier, processingTime, energy,
    [
        <thermalfoundation:upgrade:3> * 1,
        <contenttweaker:circuit_t6> * 2,
        <ore:plateDenseOsmium> * 4,
        <mekanism:enrichedalloy> * 8,

    ],
    <contenttweaker:mekanism_upgrade_blank> * 8);


addRecipeToTierMachine("mekanism_upgrade_speed", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:mekanism_upgrade_blank> * 1,
        <ic2:upgrade> * 1

    ],
    <mekanism:speedupgrade> * 1);


addRecipeToTierMachine("mekanism_upgrade_energy", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:mekanism_upgrade_blank> * 1,
        <mekanism:energytablet> * 1

    ],
    <mekanism:energyupgrade> * 1);


addRecipeToTierMachine("mekanism_upgrade_filter", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:mekanism_upgrade_blank> * 1,
        <thermaldynamics:filter> * 1

    ],
    <mekanism:filterupgrade> * 1);


addRecipeToTierMachine("mekanism_upgrade_muffling", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:mekanism_upgrade_blank> * 1,
        <ore:wool> * 4

    ],
    <mekanism:mufflingupgrade> * 1);


addRecipeToTierMachine("mekanism_upgrade_gas", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:mekanism_upgrade_blank> * 1,
        <ic2:upgrade:4> * 1

    ],
    <mekanism:gasupgrade> * 1);

addRecipeToTierMachine("tier_installer_blank", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:mekanism_upgrade_blank> * 1,
        <threng:material:6> * 4,
        <ic2:upgrade:1> * 1,
        <ic2:upgrade> * 1,
        <ore:plateDenseCopper> * 4


    ],
    <contenttweaker:tier_installer_blank> * 1);


addRecipeToTierMachine("tier_installer_basic", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:tier_installer_blank> * 1,
        <mekanism:controlcircuit> * 16,
        <contenttweaker:circuit_t5> * 2

    ],
    <mekanism:tierinstaller> * 1);

addRecipeToTierMachine("tier_installer_advanced", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:tier_installer_blank> * 1,
        <mekanism:controlcircuit:1> * 16,
        <contenttweaker:circuit_t6> * 2

    ],
    <mekanism:tierinstaller:1> * 1);

addRecipeToTierMachine("tier_installer_elite", machine, tier, maxTier, processingTime, energy,
    [
        <contenttweaker:tier_installer_blank> * 1,
        <mekanism:controlcircuit:2> * 16,
        <contenttweaker:circuit_t7> * 2

    ],
    <mekanism:tierinstaller:2> * 1);

// Meka machines

addRecipeToTierMachine("elite_purifying_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:6>.withTag({recipeType: 5}) * 1,
    <mekanism:tierinstaller:2> * 1
    ],
    <mekanism:machineblock:7>.withTag({recipeType: 5}) * 1); 

addRecipeToTierMachine("elite_infusing_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:6>.withTag({recipeType: 7}) * 1,
    <mekanism:tierinstaller:2> * 1
    ],
    <mekanism:machineblock:7>.withTag({recipeType: 7}) * 1); 

addRecipeToTierMachine("elite_injecting_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:6>.withTag({recipeType: 6}) * 1,
    <mekanism:tierinstaller:2> * 1
    ],
    <mekanism:machineblock:7>.withTag({recipeType: 6}) * 1); 

addRecipeToTierMachine("elite_sawing_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:6>.withTag({recipeType: 8}) * 1,
    <mekanism:tierinstaller:2> * 1
    ],
    <mekanism:machineblock:7>.withTag({recipeType: 8}) * 1); 

addRecipeToTierMachine("elite_smelting_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:6>.withTag({recipeType: 0}) * 1,
    <mekanism:tierinstaller:2> * 1
    ],
    <mekanism:machineblock:7>.withTag({recipeType: 0}) * 1); 

addRecipeToTierMachine("elite_enriching_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:6>.withTag({recipeType: 1}) * 1,
    <mekanism:tierinstaller:2> * 1
    ],
    <mekanism:machineblock:7>.withTag({recipeType: 1}) * 1); 

addRecipeToTierMachine("elite_crushing_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:6>.withTag({recipeType: 2}) * 1,
    <mekanism:tierinstaller:2> * 1
    ],
    <mekanism:machineblock:7>.withTag({recipeType: 2}) * 1); 

addRecipeToTierMachine("elite_compressing_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:6>.withTag({recipeType: 3}) * 1,
    <mekanism:tierinstaller:2> * 1
    ],
    <mekanism:machineblock:7>.withTag({recipeType: 3}) * 1); 

// addRecipeToTierMachine("elite_combining_factory", machine, tier, maxTier, processingTime, energy,
//     [
//     <mekanism:machineblock:6>.withTag({recipeType: 4}) * 1,
//     <mekanism:tierinstaller:2> * 1
//     ],
//     <mekanism:machineblock:7>.withTag({recipeType: 4}) * 1); 

addRecipeToTierMachine("advanced_purifying_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:5>.withTag({recipeType: 5}) * 1,
    <mekanism:tierinstaller:1> * 1
    ],
    <mekanism:machineblock:6>.withTag({recipeType: 5}) * 1); 

addRecipeToTierMachine("advanced_infusing_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:5>.withTag({recipeType: 7}) * 1,
    <mekanism:tierinstaller:1> * 1
    ],
    <mekanism:machineblock:6>.withTag({recipeType: 7}) * 1); 

addRecipeToTierMachine("advanced_injecting_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:5>.withTag({recipeType: 6}) * 1,
    <mekanism:tierinstaller:1> * 1
    ],
    <mekanism:machineblock:6>.withTag({recipeType: 6}) * 1); 

addRecipeToTierMachine("advanced_sawing_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:5>.withTag({recipeType: 8}) * 1,
    <mekanism:tierinstaller:1> * 1
    ],
    <mekanism:machineblock:6>.withTag({recipeType: 8}) * 1); 

addRecipeToTierMachine("advanced_smelting_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:5>.withTag({recipeType: 0}) * 1,
    <mekanism:tierinstaller:1> * 1
    ],
    <mekanism:machineblock:6>.withTag({recipeType: 0}) * 1); 

addRecipeToTierMachine("advanced_enriching_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:5>.withTag({recipeType: 1}) * 1,
    <mekanism:tierinstaller:1> * 1
    ],
    <mekanism:machineblock:6>.withTag({recipeType: 1}) * 1); 

addRecipeToTierMachine("advanced_crushing_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:5>.withTag({recipeType: 2}) * 1,
    <mekanism:tierinstaller:1> * 1
    ],
    <mekanism:machineblock:6>.withTag({recipeType: 2}) * 1); 

addRecipeToTierMachine("advanced_compressing_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:5>.withTag({recipeType: 3}) * 1,
    <mekanism:tierinstaller:1> * 1
    ],
    <mekanism:machineblock:6>.withTag({recipeType: 3}) * 1); 

// addRecipeToTierMachine("advanced_combining_factory", machine, tier, maxTier, processingTime, energy,
//     [
//     <mekanism:machineblock:5>.withTag({recipeType: 4}) * 1,
//     <mekanism:tierinstaller:1> * 1
//     ],
//     <mekanism:machineblock:6>.withTag({recipeType: 4}) * 1); 


addRecipeToTierMachine("basic_purifying_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:9> * 1,
    <mekanism:tierinstaller> * 1
    ],
    <mekanism:machineblock:5>.withTag({recipeType: 5}) * 1); 

addRecipeToTierMachine("basic_infusing_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:8> * 1,
    <mekanism:tierinstaller> * 1
    ],
    <mekanism:machineblock:5>.withTag({recipeType: 7}) * 1); 

addRecipeToTierMachine("basic_injecting_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock2:3> * 1,
    <mekanism:tierinstaller> * 1
    ],
    <mekanism:machineblock:5>.withTag({recipeType: 6}) * 1); 

addRecipeToTierMachine("basic_sawing_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock2:5> * 1,
    <mekanism:tierinstaller> * 1
    ],
    <mekanism:machineblock:5>.withTag({recipeType: 8}) * 1); 

addRecipeToTierMachine("basic_smelting_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:10> * 1,
    <mekanism:tierinstaller> * 1
    ],
    <mekanism:machineblock:5>.withTag({recipeType: 0}) * 1); 

addRecipeToTierMachine("basic_enriching_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock> * 1,
    <mekanism:tierinstaller> * 1
    ],
    <mekanism:machineblock:5>.withTag({recipeType: 1}) * 1); 

addRecipeToTierMachine("basic_crushing_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:3> * 1,
    <mekanism:tierinstaller>* 1
    ],
    <mekanism:machineblock:5>.withTag({recipeType: 2}) * 1); 

addRecipeToTierMachine("basic_compressing_factory", machine, tier, maxTier, processingTime, energy,
    [
    <mekanism:machineblock:1> * 1,
    <mekanism:tierinstaller> * 1
    ],
    <mekanism:machineblock:5>.withTag({recipeType: 3}) * 1); 

// addRecipeToTierMachine("basic_combining_factory", machine, tier, maxTier, processingTime, energy,
//     [
//     <mekanism:machineblock:2> * 1,
//     <mekanism:tierinstaller> * 1
//     ],
//     <mekanism:machineblock:5>.withTag({recipeType: 4}) * 1); 

    


