import mods.modularmachinery.RecipePrimer;
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.data.IData;
import scripts.Util.helper.addRecipeToTierMachine as addRecipeToTierMachine;
import scripts.Util.helper.addBlueprintRecipeToTierMachine as addBlueprintRecipeToTierMachine;

var machine = "chipassembler";
var tier = 3;
var maxTier = 3;
var processingTime = 600;


addRecipeToTierMachine("circuit_t6", machine, tier, maxTier, processingTime, 4096,
    [
        <contenttweaker:circuit_t5> * 4,
        <mekanism:controlcircuit:1> * 1,
        <ore:craftingMTCore> * 1,
        <ic2:charging_lapotron_crystal:26> * 1,
        <thermalexpansion:frame:130> * 4,
        <appliedenergistics2:part:56> * 8,
        <ore:itemInsulatedGlassCable> * 4
    ],
    <contenttweaker:circuit_t6> * 4);

addRecipeToTierMachine("circuit_t7", machine, tier, maxTier, processingTime, 4096,
    [
        <contenttweaker:circuit_t6> * 4,
        <mekanism:controlcircuit:2> * 1,
        <ic2:crafting:4> * 1,
        <draconicevolution:wyvern_energy_core> * 1,
        <thermalexpansion:frame:131> * 4,
        <appliedenergistics2:part:76> * 8,
        <gravisuite:crafting> * 4,
        <extendedcrafting:material:140> * 4
    ],
    <contenttweaker:circuit_t7> * 4);

addRecipeToTierMachine("circuit_t8", machine, tier, maxTier, processingTime, 4096,
    [
        <contenttweaker:circuit_t7> * 4,
        <mekanism:controlcircuit:3> * 1,
        <advanced_solar_panels:crafting:2> * 1,
        <draconicevolution:draconium_capacitor> * 1,
        <thermalexpansion:frame:132> * 4,
        <thermaldynamics:duct_0:5> * 8,
        <gravisuite:crafting:1> * 4,
        <extendedcrafting:material:41> * 4,
        <extendedcrafting:singularity:3> * 1
    ],
    <contenttweaker:circuit_t8> * 4);

addBlueprintRecipeToTierMachine("circuit_t1", machine, tier, maxTier, 100, 1024,
<contenttweaker:blueprint_alternative_circuit_t1>,
    [
        <contenttweaker:circuit_base>* 1,
        <ic2:cable>.withTag({type: 0 as byte, insulation: 1 as byte}) * 2,
        <minecraft:redstone> * 1
    ],
    <contenttweaker:circuit_t1> * 1);

addBlueprintRecipeToTierMachine("circuit_t2", machine, tier, maxTier, 100, 1024,
<contenttweaker:blueprint_alternative_circuit_t2>,
    [
        <contenttweaker:circuit_base>* 1,
        <ic2:crafting:1> * 1,
        <minecraft:redstone> * 2,
        <ic2:cable>.withTag({type: 0 as byte, insulation: 1 as byte}) * 4
    ],
    <contenttweaker:circuit_t2> * 1);

addBlueprintRecipeToTierMachine("circuit_t3", machine, tier, maxTier, 100, 2048,
<contenttweaker:blueprint_alternative_circuit_t3>,
    [
        <contenttweaker:circuit_base>* 1,
        <ic2:crafting:2> * 1,
        <minecraft:redstone> * 4,
        <ic2:cable:2>.withTag({type: 2 as byte, insulation: 2 as byte}) * 4
    ],
    <contenttweaker:circuit_t3> * 1);

addBlueprintRecipeToTierMachine("circuit_t4", machine, tier, maxTier, 100, 2048,
<contenttweaker:blueprint_alternative_circuit_t4>,
    [
        <contenttweaker:circuit_base>* 1,
        <ic2:tfbp> * 1,
        <minecraft:repeater> * 1,
        <ic2:cable:3>.withTag({type: 3 as byte, insulation: 2 as byte}) * 4,
        <ic2:crafting:3>
    ],
    <contenttweaker:circuit_t4> * 1);

addBlueprintRecipeToTierMachine("circuit_t5", machine, tier, maxTier, 100, 4096,
<contenttweaker:blueprint_alternative_circuit_t5>,
    [
        <contenttweaker:circuit_base>* 1,
        <ic2:lapotron_crystal:26>.withTag({}) * 1,
        <mekanism:compressedredstone> * 1,
        <ic2:cable:1>.withTag({type: 1 as byte, insulation: 0 as byte}) * 4,
        <ic2:crafting:3> * 2
    ],
    <contenttweaker:circuit_t5> * 1);