import mods.modularmachinery.RecipePrimer;
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.data.IData;

var machine = "research_table";

val circuit_assemblerT1 = mods.modularmachinery.RecipeBuilder.newBuilder("circuit_assemblerT1",machine,600).applyAnimation();
circuit_assemblerT1.addEnergyPerTickInput(128);
circuit_assemblerT1.addItemInput(<appliedenergistics2:material:5> * 4);
circuit_assemblerT1.addItemInput(<thermalexpansion:frame> * 2);
circuit_assemblerT1.addItemInput(<immersiveengineering:conveyor> * 4);
circuit_assemblerT1.addItemInput(<thermalfoundation:material:640> * 1);
circuit_assemblerT1.addItemOutput(<modularmachinery:itemblueprint>.withTag({dynamicmachine: "modularmachinery:chipassembler_t1"}) * 1);
circuit_assemblerT1.build();

val circuit_assemblerT2 = mods.modularmachinery.RecipeBuilder.newBuilder("circuit_assemblerT2",machine,1200).applyAnimation();
circuit_assemblerT2.addEnergyPerTickInput(512);
circuit_assemblerT2.addItemInput(<contenttweaker:circuit_t2> * 4);
circuit_assemblerT2.addItemInput(<thermalexpansion:frame> * 2);
circuit_assemblerT2.addItemInput(<modulardecorations:conveyor_belt> * 4);
circuit_assemblerT2.addItemInput(<thermaldynamics:servo:1> * 1);
circuit_assemblerT2.addItemInput(<thermalfoundation:material:657> * 1);
circuit_assemblerT2.addItemOutput(<modularmachinery:itemblueprint>.withTag({dynamicmachine: "modularmachinery:chipassembler_t2"}) * 1);
circuit_assemblerT2.build();

val circuit_assemblerT3 = mods.modularmachinery.RecipeBuilder.newBuilder("circuit_assemblerT3",machine,2400).applyAnimation();
circuit_assemblerT3.addEnergyPerTickInput(4096);
circuit_assemblerT3.addItemInput(<contenttweaker:circuit_t5> * 4);
circuit_assemblerT3.addItemInput(<ic2:resource:13> * 2);
circuit_assemblerT3.addItemInput(<modulardecorations:conveyor_belt> * 8);
circuit_assemblerT3.addItemInput(<appliedenergistics2:inscriber> * 1);
circuit_assemblerT3.addItemInput(<ic2:te:78> * 2);
circuit_assemblerT3.addItemInput(<thermalfoundation:upgrade:2> * 1);
circuit_assemblerT3.addItemOutput(<modularmachinery:itemblueprint>.withTag({dynamicmachine: "modularmachinery:chipassembler_t3"}) * 1);
circuit_assemblerT3.build();

val assemblerT1 = mods.modularmachinery.RecipeBuilder.newBuilder("assemblerT1",machine,600).applyAnimation();
assemblerT1.addEnergyPerTickInput(128);
assemblerT1.addItemInput(<contenttweaker:circuit_t3> * 4);
assemblerT1.addItemInput(<ic2:resource:12> * 2);
assemblerT1.addItemInput(<modulardecorations:conveyor_belt> * 4);
assemblerT1.addItemInput(<modulardecorations:assembly_arm> * 1);
assemblerT1.addItemInput(<thermalfoundation:material:640> * 2);
assemblerT1.addItemOutput(<modularmachinery:itemblueprint>.withTag({dynamicmachine: "modularmachinery:assembler_t1"}) * 1);
assemblerT1.build();

val assemblerT2 = mods.modularmachinery.RecipeBuilder.newBuilder("assemblerT2",machine,1200).applyAnimation();
assemblerT2.addEnergyPerTickInput(512);
assemblerT2.addItemInput(<contenttweaker:circuit_t4> * 4);
assemblerT2.addItemInput(<ic2:resource:13> * 2);
assemblerT2.addItemInput(<modulardecorations:conveyor_belt> * 8);
assemblerT2.addItemInput(<modulardecorations:assembly_arm> * 2);
assemblerT2.addItemInput(<modulardecorations:assembly_laser> * 2);
assemblerT2.addItemInput(<thermalfoundation:material:640> * 4);
assemblerT2.addItemOutput(<modularmachinery:itemblueprint>.withTag({dynamicmachine: "modularmachinery:assembler_t2"}) * 1);
assemblerT2.build();

val assemblerT3 = mods.modularmachinery.RecipeBuilder.newBuilder("assemblerT3",machine,2400).applyAnimation();
assemblerT3.addEnergyPerTickInput(4096);
assemblerT3.addItemInput(<contenttweaker:circuit_t6> * 4);
assemblerT3.addItemInput(<mekanism:basicblock:8> * 2);
assemblerT3.addItemInput(<modulardecorations:conveyor_belt> * 16);
assemblerT3.addItemInput(<modulardecorations:assembly_arm> * 4);
assemblerT3.addItemInput(<modulardecorations:assembly_laser> * 4);
assemblerT3.addItemInput(<modularmachinery:blockcasing:1> * 4);
assemblerT3.addItemInput(<thermalfoundation:upgrade:2> * 1);
assemblerT3.addItemOutput(<modularmachinery:itemblueprint>.withTag({dynamicmachine: "modularmachinery:assembler_t3"}) * 1);
assemblerT3.build();

val singular_mixer = mods.modularmachinery.RecipeBuilder.newBuilder("singular_mixer",machine,1200).applyAnimation();
singular_mixer.addEnergyPerTickInput(4096);
singular_mixer.addItemInput(<contenttweaker:circuit_t5> * 4);
singular_mixer.addItemInput(<modularmachinery:itemmodularium> * 64);
singular_mixer.addItemInput(<ic2:te:43> * 1);
singular_mixer.addItemInput(<tconstruct:smeltery_controller> * 1);
singular_mixer.addItemInput(<tconstruct:casting> * 1);
singular_mixer.addItemInput(<tconstruct:seared_tank> * 1);
singular_mixer.addItemOutput(<modularmachinery:itemblueprint>.withTag({dynamicmachine: "modularmachinery:singular_mixer"}) * 1);
singular_mixer.build();

val research_center = mods.modularmachinery.RecipeBuilder.newBuilder("research_center",machine,2400).applyAnimation();
research_center.addEnergyPerTickInput(4096);
research_center.addItemInput(<contenttweaker:circuit_t6> * 4);
research_center.addItemInput(<mekanism:basicblock:8> * 2);
research_center.addItemInput(<appliedenergistics2:material:38> * 1);
research_center.addItemInput(<ic2:crafting:4> * 1);
research_center.addItemInput(<appliedenergistics2:drive> * 1);
research_center.addItemInput(<modulardecorations:research_table> * 1);
research_center.addItemInput(<mekanism:tierinstaller> * 1);
research_center.addItemOutput(<modularmachinery:itemblueprint>.withTag({dynamicmachine: "modularmachinery:research_center"}) * 1);
research_center.build();

val space_mission = mods.modularmachinery.RecipeBuilder.newBuilder("space_mission",machine,3000).applyAnimation();
space_mission.addEnergyPerTickInput(4096);
space_mission.addItemInput(<contenttweaker:circuit_t6> * 4);
space_mission.addItemInput(<mekanism:basicblock:8> * 2);
space_mission.addItemInput(<extendedcrafting:singularity> * 1);
space_mission.addItemInput(<extendedcrafting:singularity:19> * 1);
space_mission.addItemInput(<extendedcrafting:singularity:1> * 1);
space_mission.addItemInput(<extendedcrafting:singularity:2> * 1);
space_mission.addItemInput(<extendedcrafting:singularity:3> * 1);
space_mission.addItemOutput(<modularmachinery:itemblueprint>.withTag({dynamicmachine: "modularmachinery:space_mission"}) * 1);
space_mission.build();

val high_pressure_mixer = mods.modularmachinery.RecipeBuilder.newBuilder("high_pressure_mixer",machine,3000).applyAnimation();
high_pressure_mixer.addEnergyPerTickInput(4096);
high_pressure_mixer.addItemInput(<thermaldynamics:duct_16:7> * 16);
high_pressure_mixer.addItemInput(<mekanism:machineblock2:3> * 1);
high_pressure_mixer.addItemInput(<thermalexpansion:device:9> * 1);
high_pressure_mixer.addItemInput(<ic2:te:43> * 1);
high_pressure_mixer.addItemInput(<ic2:te:42> * 1);
high_pressure_mixer.addItemInput(<contenttweaker:circuit_t6> * 2);
high_pressure_mixer.addItemOutput(<modularmachinery:itemblueprint>.withTag({dynamicmachine: "modularmachinery:high_pressure_mixer"}) * 1);
high_pressure_mixer.build();


val blueprint = mods.modularmachinery.RecipeBuilder.newBuilder("research_blueprint",machine,600).applyAnimation();
blueprint.addEnergyPerTickInput(512);
blueprint.addItemInput(<minecraft:paper> * 1);
blueprint.addItemOutput(<contenttweaker:blueprint> * 1);
blueprint.build();

val blueprint_alternative_circuit_t1 = mods.modularmachinery.RecipeBuilder.newBuilder("research_blueprint_alternative_circuit_t1",machine,600).applyAnimation();
blueprint_alternative_circuit_t1.addEnergyPerTickInput(512);
blueprint_alternative_circuit_t1.addItemInput(<contenttweaker:blueprint> * 1);
blueprint_alternative_circuit_t1.addItemInput(<contenttweaker:circuit_t1> * 4);
blueprint_alternative_circuit_t1.addItemOutput(<contenttweaker:blueprint_alternative_circuit_t1> * 1);
blueprint_alternative_circuit_t1.build();

val blueprint_alternative_circuit_t2 = mods.modularmachinery.RecipeBuilder.newBuilder("research_blueprint_alternative_circuit_t2",machine,600).applyAnimation();
blueprint_alternative_circuit_t2.addEnergyPerTickInput(512);
blueprint_alternative_circuit_t2.addItemInput(<contenttweaker:blueprint> * 1);
blueprint_alternative_circuit_t2.addItemInput(<contenttweaker:circuit_t2> * 4);
blueprint_alternative_circuit_t2.addItemOutput(<contenttweaker:blueprint_alternative_circuit_t2> * 1);
blueprint_alternative_circuit_t2.build();

val blueprint_alternative_circuit_t3 = mods.modularmachinery.RecipeBuilder.newBuilder("research_blueprint_alternative_circuit_t3",machine,600).applyAnimation();
blueprint_alternative_circuit_t3.addEnergyPerTickInput(512);
blueprint_alternative_circuit_t3.addItemInput(<contenttweaker:blueprint> * 1);
blueprint_alternative_circuit_t3.addItemInput(<contenttweaker:circuit_t3> * 4);
blueprint_alternative_circuit_t3.addItemOutput(<contenttweaker:blueprint_alternative_circuit_t3> * 1);
blueprint_alternative_circuit_t3.build();

val blueprint_alternative_circuit_t4 = mods.modularmachinery.RecipeBuilder.newBuilder("research_blueprint_alternative_circuit_t4",machine,600).applyAnimation();
blueprint_alternative_circuit_t4.addEnergyPerTickInput(512);
blueprint_alternative_circuit_t4.addItemInput(<contenttweaker:blueprint> * 1);
blueprint_alternative_circuit_t4.addItemInput(<contenttweaker:circuit_t4> * 4);
blueprint_alternative_circuit_t4.addItemOutput(<contenttweaker:blueprint_alternative_circuit_t4> * 1);
blueprint_alternative_circuit_t4.build();

val blueprint_alternative_base_casing = mods.modularmachinery.RecipeBuilder.newBuilder("research_blueprint_alternative_base_casing",machine,600).applyAnimation();
blueprint_alternative_base_casing.addEnergyPerTickInput(512);
blueprint_alternative_base_casing.addItemInput(<contenttweaker:blueprint> * 1);
blueprint_alternative_base_casing.addItemInput(<ic2:resource:12> * 4);
blueprint_alternative_base_casing.addItemOutput(<contenttweaker:blueprint_alternative_base_casing> * 1);
blueprint_alternative_base_casing.build();
