#priority 1

import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IIngredient;
import crafttweaker.item.IItemStack;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.liquid.ILiquidDefinition;
import crafttweaker.data.IData;
import crafttweaker.item.IItemDefinition;
import crafttweaker.mods.ILoadedMods;
import mods.modularmachinery.RecipePrimer;


// Добавляет рецепт во все тиры механизма
function addRecipeToTierMachine(
    recipeName as string,
    machine as string,
    machineTier as int,
    maxTier as int,
    baseProcessingTime as int, 
    baseEnergyPerTick as int,
    input as IIngredient[], 
    output as IItemStack) {
    recipes.remove(output);

    var processingTime = baseProcessingTime;
    var energyPerTick = baseEnergyPerTick;
    
    for tier in machineTier to maxTier + 1 {
    
       if (machineTier != tier) {
            processingTime /=  (tier * 2);
            // Как эта залупа может вызвать ArrayIndexOutOfBoundsException: 1 ?
            energyPerTick *= pow(2, tier - 1);
        }

        val recipe = mods.modularmachinery.RecipeBuilder.newBuilder(machine + "_t" + tier + recipeName, machine + "_t" + tier, processingTime).applyAnimation();
        recipe.addEnergyPerTickInput(energyPerTick);

        for item in input {
            recipe.addItemInput(item);
        }

        recipe.addItemOutput(output);
        recipe.build();
    }
}


function addBlueprintRecipeToTierMachine(
    recipeName as string,
    machine as string,
    machineTier as int,
    maxTier as int,
    baseProcessingTime as int, 
    baseEnergyPerTick as int,
    blueprint as IIngredient,
    input as IIngredient[], 
    output as IItemStack) {

    var processingTime = baseProcessingTime;
    var energyPerTick = baseEnergyPerTick;
    
    for tier in machineTier to maxTier + 1 {
    
       if (machineTier != tier) {
            processingTime /=  (tier * 2);
            // Как эта залупа может вызвать ArrayIndexOutOfBoundsException: 1 ?
            energyPerTick *= pow(2, tier - 1);
        }

        val recipe = mods.modularmachinery.RecipeBuilder.newBuilder("alternative_" + machine + "_t" + tier + recipeName, machine + "_t" + tier, processingTime).applyAnimation();
        recipe.addEnergyPerTickInput(energyPerTick);

        recipe.addItemInput(blueprint).setChance(0);

        for item in input {
            recipe.addItemInput(item);
        }

        recipe.addItemOutput(output);
        recipe.build();
    }
}